%define upstream_name Services_Weather
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name: 		php-pear-%{upstream_name}
Version:     	1.4.6
Release:     	%mkrel 3
Summary:   	This class acts as an interface to various online weather-services
License: 	BSD License
Group: 		Development/PHP
Source0: 	http://pear.php.net/get/Services_Weather-%{version}.tgz
URL: 		http://pear.php.net/package/Services_Weather
BuildRequires:	php-pear >= 1.4.7
Requires: 	php-pear-HTTP_Request >= 1.2.0
Requires:	php-pear >= 1.4.0
BuildArch: noarch

%description
Services_Weather searches for given locations and retrieves current
        weather data and, dependent on the used service, also forecasts. Up
to
        now, GlobalWeather from CapeScience, Weather XML from EJSE (US
only),
        a XOAP service from Weather.com and METAR/TAF from NOAA are
supported.
        Further services will get included, if they become available, have
a
        usable API and are properly documented.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
rm -rf %{buildroot}
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Services_Weather.xml

%clean
rm -rf %{buildroot}

%post
pear install --nodeps --soft --force --register-only %{xmldir}/Services_Weather.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/Services_Weather
fi

%files
%defattr(-,root,root)
%doc docs/Services_Weather/*
%{peardir}/*
%{xmldir}/Services_Weather.xml


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.4.6-3.mga3
+ Revision: 377288
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 14 2012 spuhler <spuhler> 1.4.6-2.mga2
+ Revision: 196169
+ rebuild (emptylog)

* Sat Jan 14 2012 spuhler <spuhler> 1.4.6-1.mga2
+ Revision: 196117
- upgrade to 1.4.6
  pearized spec

* Fri Jan 21 2011 spuhler <spuhler> 1.4.5-7.mga1
+ Revision: 28014
- removed buildroot definition from .spec
- imported package php-pear-Services_Weather

